<div class="container">
    <div style="padding-top:2%">
        <h4>Agendar hora</h4>
    </div>
    <br>
    <div class="contenedor">
        <div class="card contenedor">
            <div class="row">
    
                <div class="col">
        
                    <div>
                        <h6>Seleccione una fecha</h6>
                        <input type="date" #fecha id="fecha" required class="form-control"
                            onkeypress="return ((event.charCode >= 65 && event.charCode <= 90) || (event.charCode >= 97 && event.charCode <= 122))">
                    </div>
                </div>
                <div class="col" style=" padding-top:2%;">
                    <button type="submit" class="btn btn-dark" (click)="buscarDisponibilidad(fecha.value)  ">Buscar</button>
                </div>
        
            </div>
            
            <div>
                
            </div>
            <div class="card contenido" >
                <div class="container">
                    <div class="row col-col-md-offset-2 custyle">
                        <table class="table table-striped custab">
                            <thead>
        
                                <tr>
                                    <th>Hora</th>
                                    <th>Estado</th>
                                    <th>Rut</th>
                                    <th class="text-center">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr *ngFor="let horario of horarios">
                                    <td>{{ horario.hora }}</td>
                                    <td>{{ horario.estado_horario.nombre }}</td>
                                    <td>
                                        <div class="input-group flex-nowrap">
                                            <input type="text" class="form-control" placeholder="Ingrese rut"
                                                aria-label="Username" aria-describedby="addon-wrapping" #rut>
                                        </div>
                                    </td>
                                    <td class="text-center">
                                        <button type="button" class="btn btn-dark"
                                            (click)="agendar2(horario.hora,horario.id,horario.fecha,rut.value)">Agendar</button>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        
        
        </div>
    </div>
    
    




</div>
